| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::TimeAdjustContainer Class Reference

Container that store all timestamp adjustments.

## Public Types
enum | AdjType { COPYVALUE = 0 , ADDVALUE , SUBVALUE , INTERVAL }
enum | UseDateSource { APPDATE = 0 , FILENAME , FILEDATE , METADATADATE , CUSTOMDATE }
enum | UseFileDateType { FILELASTMOD = 0 , FILECREATED }
enum | UseMetaDateType { EXIFIPTCXMP = 0 , EXIFCREATED , EXIFORIGINAL , EXIFDIGITIZED , IPTCCREATED , XMPCREATED , FUZZYCREATED , FUZZYORIGINAL , FUZZYDIGITIZED }

## Public Member Functions
bool | atLeastOneUpdateToProcess () const
| Check if at least one option is selected.
QDateTime | calculateAdjustedDate (const QDateTime &originalTime, int index=0)
QDateTime | getDateTimeFromString (const QString &dateStr) const
QMap< QString, bool > | getDateTimeTagsMap () const

## Public Attributes
int | adjustmentDays = 0
QDateTime | adjustmentTime = QDateTime()
int | adjustmentType = COPYVALUE
QDateTime | customDate = QDateTime::currentDateTime()
QDateTime | customTime = QDateTime::currentDateTime()
int | dateSource = APPDATE
bool | enableExifTool = false
| Only a temporary variable, will not be saved.
int | fileDateSource = FILELASTMOD
int | metadataSource = EXIFIPTCXMP
bool | updEXIFDigDate = false
bool | updEXIFModDate = false
bool | updEXIFOriDate = false
bool | updEXIFThmDate = false
bool | updFileModDate = false
bool | updIfAvailable = true
bool | updIPTCDate = false
bool | updUseExifTool = false
bool | updXMPDate = false
bool | updXMPVideo = false